@mixin app-monitor-vacancies-theme($theme) {
    $primary: map-get($theme, primary);
    $warn: map-get($theme, warn);
    $accent: map-get($theme, accent);
  
    app-monitor-vacancies {
      width: 100%;
      padding: 5px;
      overflow-x: hidden;
    }
  
    .monitor-vacancies {
      margin-top: 25px !important;
      display: flex;
      flex-direction: column;
      padding: 5px;
      background-color: mat-color($primary, 50);
  
      .mv-main-card {
        display: flex;
        flex-direction: column;
        padding: 0px;
        background-color: mat-color($primary, 50);
  
        .mat-card-header {
          width: 100%;
  
          .top-header-filter {
            display: flex;
            padding: 0px 5px;
            margin: 0px 5px;
            font-size: 0.9em;
            line-height: 40px;
  
            .pe-left-text {
              display: flex;
              flex: auto;
              margin-right: 10px !important;
  
              .mat-form-field {
                flex: auto;
              }
            }
  
            .right-text {
              display: flex;
              flex: auto;
              margin-right: 15px;
  
              .mat-form-field {
                flex: auto;
              }
            }
  
            .hp-left-text{
              display: flex;
              height: 50px;
              margin-right: 10px !important;
            }
  
            button {
              margin: 4px;
              // margin-left: 15px;
              height: 35px;
              width: 45px;
            }
          }

          .second-header-filter {
            display: flex;
            background-color: white;
            border: 2px solid mat-color($primary, 100);
            border-radius: 5px;
            padding: 10px 10px;
            margin-bottom: 10px;
            font-size: 0.9em;
     
            span {
              cursor: pointer;
              display: flex;
              flex: auto;
              margin-right: 15px;
              align-items: flex-end;
            }
  
            span:hover {
              color: mat-color($accent);
            }
          }
          
        }
  
        .mat-card-content {
          .example-small-box {
            display: flex;
            align-items: center;
            justify-content: center;
            background: white;
  
            .table-filters-header {
              width: 100%;
              background-color: white;
              border: 1px solid #eaf0fb;
  
              .table-top-icons {
  
                mat-icon {
                  padding: 5px;
                }
  
                mat-icon:hover {
                  cursor: pointer;
                  color: mat-color($warn);
                }
              }
            }
  
            .example-container {
              width: 100%;
              margin-right: 10px;
              margin-left: 10px;
             
              .grid-footer {
                line-height: 35px;
                margin:5px;
                .foot-notes {
                  text-align: left;
                  // line-height: 35px;
  
                  .color-grade {
                    padding: 10px 30px;
                    margin: 5px;
                    line-height: 30px;
                    background-color: sandybrown;
                    border-radius: 10px;
                  }
                }
                .paging-size-header {
                  margin-right: 10px;
                  select {
                    height: 25px;
                    margin-top: 5px;
                  }
                }
              }
            }
          }
        }
      }
  
    }
  }
  